Autor Wątek: Kompilacja kompozera i zrobienie potem z tego rpma  (Przeczytany 6654 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

gienek_pa

  • Gość
Kompilacja kompozera i zrobienie potem z tego rpma
« dnia: Czerwiec 24, 2015, 06:57:31 am »
Witam.

Przy kompilacji Kompozera po wydaniu polecenia ./configure wywala mi że brakuje jakiegoś pakietu.

checking for gtk+-2.0 >= 1.3.7... Package gtk+-2.0 was not found in the pkg-config search path. Perhaps you should add the directory containing `gtk+-2.0.pc' to the PKG_CONFIG_PATH environment variable No package 'gtk+-2.0' found
configure: error: Library requirements (gtk+-2.0 >= 1.3.7) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them

Mam u siebie

ienek@stacjonarny:~/Pulpit/mozilla> rpm -qa | grep gtk
libwx_gtk2u_html-2_8-0-stl-2.8.12-26.1.11.x86_64
gtk2-theme-oxygen-1.4.6-19.1.x86_64
libjavascriptcoregtk-1_0-0-2.4.9-10.1.x86_64
libgtk-3-0-3.14.13-18.1.x86_64
libgtk-2_0-0-2.24.23-13.1.x86_64
at-spi2-atk-gtk2-2.14.1-1.1.x86_64
libwebkitgtk3-lang-2.4.9-10.1.noarch
gtk3-immodule-thai-3.14.13-18.1.x86_64
libcanberra-gtk2-module-32bit-0.30-8.1.4.x86_64
gtk2-engine-oxygen-1.4.6-19.1.x86_64
python-gtk-2.24.0-14.1.4.x86_64
libwx_gtk2u_xrc-2_8-0-stl-2.8.12-26.1.11.x86_64
libcanberra-gtk3-0-0.30-8.1.4.x86_64
PackageKit-gtk3-module-1.0.3-11.1.x86_64
gtk3-immodule-inuktitut-3.14.13-18.1.x86_64
gtk3-branding-openSUSE-13.2-17.3.noarch
gtk2-immodule-vietnamese-2.24.23-13.1.x86_64
gtk2-tools-32bit-2.24.28-4.14.1.x86_64
libwx_gtk2u_core-2_8-0-stl-2.8.12-26.1.11.x86_64
libgtkmm-2_4-1-2.24.4-4.1.3.x86_64
gtk2-data-2.24.28-4.14.1.noarch
libwx_gtk2u_gl-2_8-0-stl-2.8.12-26.1.11.x86_64
gtk2-immodule-amharic-2.24.23-13.1.x86_64
gtk2-engine-oxygen-32bit-1.4.6-19.1.x86_64
libqt5-qtbase-platformtheme-gtk2-5.4.1-19.1.x86_64
kde-gtk-config-2.2.1-6.7.x86_64
libwebkitgtk-3_0-0-2.4.9-10.1.x86_64
libcanberra-gtk3-module-0.30-8.1.4.x86_64
libcanberra-gtk0-32bit-0.30-8.1.4.x86_64
libwebkitgtk-1_0-0-2.4.9-10.1.x86_64

Co powinienem doinstalować do systemu?

CameronPoe

  • SUSE Root
  • *****
  • Wiadomości: 1073
Odp: Kompilacja kompozera i zrobienie potem z tego rpma
« Odpowiedź #1 dnia: Czerwiec 24, 2015, 04:01:06 pm »
Nie widzę tam na liście żadnych develi, więc to zapewne tylko tego Ci brakuje: gtk2-devel